#
# spec file for package ghc-applicative-quoters
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name applicative-quoters
Name:           ghc-%{pkg_name}
Version:        0.1.0.8
Release:        lp150.1.7
Summary:        Quasiquoters for idiom brackets and an applicative do-notation
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
Patch1:         https://github.com/bmillwood/applicative-quoters/pull/7.patch#/fix-ghc8-build.patch
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-haskell-src-meta-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-template-haskell-devel

%description
Quasiquoters taken from Matt Morrow's haskell-src-meta to implement Conor
McBride's idiom brackets, and a do-notation that only requires Applicative (and
is correspondingly less powerful).

applicative-quoters currently has no maintainer: if it is broken and you want
it to be fixed, then fix it!.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}
%patch1 -p1
cp -p %{SOURCE1} %{pkg_name}.cabal
cabal-tweak-dep-ver template-haskell '< 2.11' ' < 2.12'

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog README

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Tue Sep 20 2016 psimons@suse.com
- Apply ghc-8-support.patch to fix compilation with GHC 8.x (taken
  from http://tinyurl.com/hy55jsw).
* Wed Aug 17 2016 psimons@suse.com
- Update to version 0.1.0.8 revision 1 with cabal2obs.
* Tue Jul 12 2016 psimons@suse.com
- Update to version 0.1.0.8 revision 0 with cabal2obs.
